summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlisuke2018-02-09 01:27:51 +0800
committerlisuke2018-02-09 01:27:51 +0800
commit2400c233f1469d9758a21a87ab36e7e3a06b006c (patch)
tree4385ad14612635a3696a7e82bc22c145a8f9b3ff
parent7997610d647bcd1cd0343257060f714505b83658 (diff)
downloadaur-2400c233f1469d9758a21a87ab36e7e3a06b006c.tar.gz
1.2.6
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD44
2 files changed, 40 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b65105456ad..25533df2290 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = miredo-debian
pkgdesc = miredo, miredo.deb
pkgver = 1.2.6
- pkgrel = 4
+ pkgrel = 5
url = https://packages.debian.org/jessie/miredo
arch = armv7h
license = unknown
diff --git a/PKGBUILD b/PKGBUILD
index 8a9bebad59b..b6bd93fb761 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
# Maintainer: lisuke <1657787678@qq.com>
pkgname=miredo-debian
pkgver=1.2.6
-pkgrel=4
+pkgrel=5
pkgdesc="miredo, miredo.deb"
arch=('armv7h')
@@ -26,9 +26,43 @@ validpgpkeys=()
package() {
cd ${srcdir}
ar vx miredo_${pkgver}-2_armhf.deb || return 1
- mkdir root
- tar fx data.tar.xz -C root || return 1
- cp -rfa root/* ${pkgdir}/ || return 1
- ls ${pkgdir}
+
+ tar fx data.tar.xz || return 1
+
+#/etc
+ install -D -m644 etc/miredo.conf ${pkgdir}/etc/miredo.conf || return 1
+ install -D -m644 etc/default/miredo ${pkgdir}/etc/default/miredo || return 1
+ install -D -m755 etc/init.d/miredo ${pkgdir}/etc/init.d/miredo || return 1
+ install -D -m755 etc/miredo/client-hook ${pkgdir}/etc/miredo/client-hook || return 1
+ install -D -m644 etc/miredo/miredo.conf ${pkgdir}/etc/miredo/miredo.conf || return 1
+ install -D -m755 etc/network/if-up.d/miredo ${pkgdir}/etc/network/if-up.d/miredo || return 1
+
+#/lib
+ install -D -m644 lib/systemd/system/miredo.service ${pkgdir}/lib/systemd/system/miredo.service || return 1
+
+#/usr
+
+ ##bin
+ install -D -m755 usr/bin/teredo-mire ${pkgdir}/usr/bin/teredo-mire || return 1
+ install -D -m755 usr/lib/arm-linux-gnueabihf/miredo/miredo-privproc ${pkgdir}/usr/lib/arm-linux-gnueabihf/miredo/miredo-privproc || return 1
+ install -D -m755 usr/sbin/miredo ${pkgdir}/usr/sbin/miredo || return 1
+ install -D -m755 usr/sbin/miredo-checkconf ${pkgdir}/usr/sbin/miredo-checkconf || return 1
+
+ ##doc
+ install -D -m644 usr/share/doc/miredo/AUTHORS ${pkgdir}/usr/share/doc/miredo/AUTHORS || return 1
+ install -D -m644 usr/share/doc/miredo/changelog.Debian.gz ${pkgdir}/usr/share/doc/miredo/changelog.Debian.gz || return 1
+ install -D -m644 usr/share/doc/miredo/changelog.gz ${pkgdir}/usr/share/doc/miredo/changelog.gz || return 1
+ install -D -m644 usr/share/doc/miredo/copyright ${pkgdir}/usr/share/doc/miredo/copyright || return 1
+ install -D -m644 usr/share/doc/miredo/NEWS.gz ${pkgdir}/usr/share/doc/miredo/NEWS.gz || return 1
+ install -D -m644 usr/share/doc/miredo/README.gz ${pkgdir}/usr/share/doc/miredo/README.gz || return 1
+ install -D -m644 usr/share/doc/miredo/THANKS ${pkgdir}/usr/share/doc/miredo/THANKS || return 1
+ install -D -m644 usr/share/doc/miredo/TODO ${pkgdir}/usr/share/doc/miredo/TODO || return 1
+ install -D -m644 usr/share/doc/miredo/examples/miredo.conf ${pkgdir}/usr/share/doc/miredo/examples/miredo.conf || return 1
+
+ ##i18n
+ install -D -m644 usr/share/locale/en/LC_MESSAGES/miredo.mo ${pkgdir}/usr/share/locale/en/LC_MESSAGES/miredo.mo || return 1
+ install -D -m644 usr/share/locale/en_GB/LC_MESSAGES/miredo.mo ${pkgdir}/usr/share/locale/en_GB/LC_MESSAGES/miredo.mo || return 1
+ install -D -m644 usr/share/locale/fr/LC_MESSAGES/miredo.mo ${pkgdir}/usr/share/locale/fr/LC_MESSAGES/miredo.mo || return 1
+ install -D -m644 usr/share/locale/zh_CN/LC_MESSAGES/miredo.mo ${pkgdir}/usr/share/locale/zh_CN/LC_MESSAGES/miredo.mo || return 1
}